### Function

# GimpUi enum_radio_box_new_with_range

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_enum_radio_box_new_with_range (
      GType enum_type,
      gint minimum,
      gint maximum,
      GCallback callback,
      gpointer callback_data,
      GDestroyNotify callback_data_destroy,
      GtkWidget** first_button
    )

#### Description [src]

Just like gimp_enum_radio_box_new(), this function creates a group of radio buttons, but additionally it supports limiting the range of available enum values.

Available since: 2.4

#### Parameters

`enum_type`

  Type: `GType`

  The `GType` of an enum.

`minimum`

  Type: `gint`

  The minimum enum value.

`maximum`

  Type: `gint`

  The maximum enum value.

`callback`

  Type: `GCallback`

  A callback to connect to the “toggled” signal of each `GtkRadioButton` that is created.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  Data to pass to the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback_data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `callback_data`.

`first_button`

  Type: `GtkWidget`

                 Returns the first button in the created group.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the function.

#### Return value

Type: `GtkWidget`

A new vertical `GtkBox` holding a group of `GtkRadioButtons`.

The caller of the function takes ownership of the data, and is responsible for freeing it.